function alvSum=calcAlvSum(pos, landmarks, noise)
lvs =[];

noOfLandmarks=size(landmarks,1);
for i=1:noOfLandmarks
  a=pos;
  b=landmarks(i,:);
  l = (a-b)/norm(a-b);
  
  if noise > 0
    l = noise*randn(1)+l;
  end
  lvs = [lvs; l];
end
alvSum=lvs(1,:);

for i=2:noOfLandmarks
  alvSum = alvSum+lvs(i,:);
end
alvSum = alvSum/noOfLandmarks;
end
