classdef world
  properties
    dimensions = [200 200]
    landmarks = []
    landmarksBeforeLearning = []
    landmarksAfterLearning = []
    removedBeforeLearning = []
    removedAfterLearning = []
  end
  
  methods
    
    function obj=addLandmark(obj, pos, removal)
      if pos(1) > 0 && pos(1) <= obj.dimensions(1) && pos(2) > 0 && pos(2) <= obj.dimensions(2)
        obj.landmarks = [obj.landmarks; pos];
        if removal == 0
          obj.landmarksBeforeLearning = [obj.landmarksBeforeLearning; pos];
          obj.landmarksAfterLearning = [obj.landmarksAfterLearning; pos];
        end
        if removal == 1
          obj.landmarksBeforeLearning = [obj.landmarksBeforeLearning; pos];
          obj.removedAfterLearning= [obj.removedAfterLearning; pos];
        end
        if removal == 2
          obj.landmarksAfterLearning = [obj.landmarksAfterLearning; pos];
          obj.removedBeforeLearning= [obj.removedBeforeLearning; pos];
        end        
      end
    end    

  end
end
